-1

I typed following command on my lubuntu terminal from the nodejs download page to install 13.x version : curl -sL https://deb.nodesource.com/setup_13.x | sudo -E bash - sudo apt-get install -y nodejs

but,when i checked the version of node it was showing me 8.x version.Even i tried to install all the versions above 10.x ,but still the version was 8.x.Then i tried nvm to change version still the same version. The i tried using npm still the same problem. Actuall the problem is that Angularcli will only work on node versions above 10. Th

0

1 Answer 1

1

My guess is that you are running a 32-bit version of Lubuntu, probably because your CPU is only 32-bit capable. More recent node.js official builds only support 64-bit architectures. You can find builds for many unsupported architectures, including 32-bit i386 and i686 systems by visiting the web site for unofficial builds. See: https://github.com/nodejs/unofficial-builds/

From that site, identify a build for your system. A quick and dirty approach to installing it might then be to UNINSTALL your existing node.js system and (for node version 12, for example) run:

curl -sL 'https://unofficial-builds.nodejs.org/download/release/v12.6.0/node-v12.6.0-linux-x86.tar.xz' | xzcat | tar -vx --strip-components=1 -C /usr/local/.

This command above expands node directly into /usr/local, so you need to run it as root (super-user).

Not the answer you're looking for? Browse other questions tagged .